Subject: Re: [PATCH v2] Add --track option to git clone

From: David Soria Parra <[email-masked]>
Date: Wed, 2 Dec 2009 10:33:41 +0000 (UTC)

On 2009-12-02, Nanako Shiraishi <[email-masked]> wrote:
> Quoting David Soria Parra <[email-masked]> writes:
>
>> I'm aware that it's not possible to give more than one --track
>> option. Implementing the possibility to specify multiple --track option
>> would certainly a good improvment later, but would also require a lot
>> more work as far as I understand the clone code.
>
> I'm sorry if I'm asking the obvious, but how can multiple --track 
> options be a useful future enhancement? If I understand your use 
> case correctly, it's useful when you want to work on only one 
> branch that isn't the default, and that is why you don't want to 
> get data necessary for other branches. What does it mean to give 
> two --track options? You will get one master branch that tracks
> both versions, and "git pull" will merge both branches you track?

Similar to git remote add --track it'll pull all branches specified by a --track
option and checkout the first one or -o <name> if given. For me personally it's
not an improvemen, because I just need to clone on branch, but as git remote add allows
multiple branches specified by --track I thought this might be an improvment.